Subject: Re: bug#53242: [PATCH] unify reads from local_var_alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 08:49:48 +0100

Sergey Vinokurov <[email-masked]> writes:

> I've noticed that local_var_alist field of the buffer structure is
> accessed inconsistently. Sometimes it's Fassoc, sometimes it's Fassq
> and other times it's assq_no_quit and even an explicit loop.
>
> I think it's safe to unify all the accesses via assq_no_quit since
> it's an internaly maintained alist that definitely has no cycles and
> elements are cons cells with symbol as their car.

Makes sense to me, so I've now applied your patch to Emacs 29 (and added
a ChangeLog-format commit message).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no